%define perl_version %(eval "`perl -V:version`"; echo $version)
%define perl_installlib %{_libdir}/perl5/%{perl_version}

Name:           perl-Net-SMTP-SSL
Version:        1.03
Release:        1
Summary:        SSL support for Net::SMTP
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-SMTP-SSL/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-SMTP-SSL-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      ppc 
# Build
BuildRequires:  perl >= 5.22.0
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
# Runtime
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Net::SMTP)

%description
Implements the same API as Net::SMTP, but uses IO::Socket::SSL for its
network operations.

%prep
%setup -q -n Net-SMTP-SSL-%{version}

%build
perl5.22.0 Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}%{perl_installlib}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man3
mv ${RPM_BUILD_ROOT}%{perl_installlib}/Net::* ${RPM_BUILD_ROOT}%{_mandir}/man3


%{_fixperms} %{buildroot}/*

%clean
rm -rf %{buildroot}


%files
%doc README Changes
%dir %{perl_installlib}/Net/
%dir %{perl_installlib}/Net/SMTP/
%{perl_installlib}/Net/SMTP/SSL.pm
%{_mandir}/man3/Net::SMTP::SSL.3*

%changelog
* Wed Aug 17 2016 Ravi Hirekurabar <rhirekur@in.ibm.com> - 1.03-1
- Initial Port 

